@import "./typography";
@import "./mediaQueries";

// colors
$primary-color-light: rgb(92 116 153);
$primary-color-dark: rgb(0 51 102);
$secondary-color: rgb(214 26 41);
$tertiary-color: rgb(255 223 33);
$alert-color: rgb(245 49 49);
$warning-color: rgb(245 173 29);
$black-light: rgb(0 0 0 / 64%);
$black: rgb(0 0 0);
$white: rgb(255 255 255);
$gray-lighter: rgb(0 51 102 / 4%);
$gray-light: rgb(204 204 204);
$gray-dark: rgb(102 102 102);
$grad-gray: linear-gradient(177.42deg, rgb(0 51 102 / 0%) 2.15%, rgb(0 51 102) 97.85%);
$grad-col1: rgba(215 223 231);
$grad-col2: rgb(234 238 242);
$grad-col3: rgb(237 240 244);
$grad-col4: rgb(231 231 231);
$grad-gray2: linear-gradient(0deg, rgb(0 51 102 / 8%), rgb(0 51 102 / 10%) 1%, $white);
$grad-gray3: linear-gradient(224.93deg, rgb(150 170 183 / 5%) -0.12%, rgb(114 136 150 / 5%) 100%);
$grad-gray-badge: linear-gradient(224.93deg, rgb(150 170 183 / 40%) -0.12%, rgb(114 136 150 / 40%) 100%);
$background-color: rgb(231 231 231);

#icon-shape-gradient {
    --color-stop: rgb(150 170 183 / 40%) -0.12%;
    --color-bot: rgb(114 136 150 / 40%);
}

// linear-gradient(224.93deg, rgba(150, 170, 183, 0.4) -0.12%, rgba(114, 136, 150, 0.4) 100%);

@mixin strokes {
    &_color-primary {
        stroke: $primary-color-dark;
    }

    &_color-primary-light {
        stroke: $primary-color-light;
    }

    &_color-secondary {
        stroke: $secondary-color;
    }

    &_color-tertiary {
        stroke: $tertiary-color;
    }

    &_color-black {
        stroke: $black;
    }

    &_color-gray {
        stroke: $gray-dark;
    }

    &_color-gray-light {
        stroke: $gray-light;
    }

    &_color-alert {
        stroke: $alert-color;
    }

    &_color-warning {
        stroke: $warning-color;
    }
}

@mixin fills {
    &_color-primary {
        fill: $primary-color-dark;
    }

    &_color-primary-light {
        fill: $primary-color-light;
    }

    &_color-secondary {
        fill: $secondary-color;
    }

    &_color-tertiary {
        fill: $tertiary-color;
    }

    &_color-black {
        fill: $black;
    }

    &_color-gray {
        fill: $gray-dark;
    }

    &_color-gray-light {
        fill: $gray-light;
    }

    &_color-alert {
        fill: $alert-color;
    }

    &_color-warning {
        fill: $warning-color;
    }
}

@mixin direction($deg) {
    transform: rotate($deg);
    transform-box: fill-box;
    transform-origin: center;
}

// main background
$main-background: $grad-gray2;

// horizontal line
@mixin horizontal-line {
    color: $primary-color-dark;
    opacity: 0.2;
    width: 100%;
}

// shadows
$shadow-light: 0 5px 5px rgba(0 51 102 / 30%);
$shadow: rgb(0 0 0 / 25%) 0 4px 4px;

@mixin card-shadow {
    box-shadow: 0px 1.76px 10.38px 1px rgb(210 210 210 / 50%);
}

@mixin shadow-high {
    box-shadow:
        0 100px 80px rgb(0 0 0 / 13%),
        0 41px 33px rgb(0 0 0 / 9%),
        0 22px 17px rgb(0 0 0 / 7%),
        0 12px 10px rgba(0 0 0 / 6%),
        0 6px 5px rgb(0 0 0 / 5%),
        0 2px 2px rgb(0 0 0 / 3%);
}

@mixin shadow-inset {
    box-shadow: inset 0 4px 4px rgb(0 51 102 / 10%);
}

@mixin scroll-nav-shadow {
    box-shadow:
        0 22px 48px rgb(0 0 0 / 15%),
        0 8px 18px rgb(0 0 0 / 11%),
        0 4px 9px rgb(0 0 0 / 9%),
        0 2px 4px rgb(0 0 0 / 7%),
        0 1px 2px rgb(0 0 0 / 5%);
}

// scrollbars

@mixin scrollbars {
    scrollbar-width: thin;
    scrollbar-color: rgba($gray-dark, 0.5);

    &::-webkit-scrollbar {
        width: 0.4rem;
        height: 0.6rem;
        opacity: 0.5;
    }

    &::-webkit-scrollbar-track {
        background-color: rgba($gray-light, 0.3);
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgba($gray-light, 0.3);
        outline: 1px solid rgba($gray-dark, 0.3);
    }
}

// layout
$padding-sm: 1.25rem;
$padding-lg: 2.5rem;
$border-radius-menu: 4px 0 0 4px;
$border-radius: 4px;

@mixin json-newline {
    white-space: pre-line;
    vertical-align: bottom;
}

@mixin text-truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

// flex
@mixin col {
    display: flex;
    flex-direction: column;
}

@mixin row {
    display: flex;
    flex-direction: row;
}

@mixin flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

// grid
